Subject: Re: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Dec 2023 22:55:15 -0500

> That sounds attractive (ignoring all buffer-locals when let-bound?),
> but I'm guessing there are enough valid use cases for this behavior.

Yup, that would break lots of existing code, indeed, and in subtle
enough ways that people would go crazy.

Luckily, there's no "100% ideal" way buffer-local and scoped bindings
can interact.  All choices suck in some circumstances, so there's really
no good reason to lament the current choice: it's no worse than
the alternatives, AFAIK.

        Stefan